package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.AssetApp;
import com.ruoyi.tc.entity.request.AssetAppPageRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 资产移动应用程序表(asset_app)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetAppMapper extends BaseMapper<AssetApp> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as   查询实体
     * @return 所有数据
     */
    Page<AssetApp> page(Page<AssetApp> page, @Param("req") AssetAppPageRequest as);

    /**
     * 查询所有数据
     *
     * @param as 查询实体
     * @return 所有数据
     */
    List<AssetApp> page(@Param("req") AssetAppPageRequest as);


    /**
     * 逻辑删除
     *
     * @return
     */
    void deleteById(Long id);


    /**
     * 删除
     *
     * @param idList
     */
    void deleteIdList(@Param("idList") List<Long> idList);


    /**
     * 根据单位查询资产总数
     *
     * @param part 单位
     * @return
     */
    Integer findBydwmc(@Param("part") String part);
}

